#
# spec file for ASP
# (c) 2004 IMC
#

# Existing macros ?
%define _htmldir /var/www/html

# Basic macros
%define name     asp
%define version  1.0.2
%define release  1mdk
%define abstract Common html and database for ASP

Name:            %name
Summary:         %abstract
Version:         %version
Release:         %release
License:         GPL
Group:           Education
URL:             http://www.ruedesecoles.com/EduPack
Buildarch:       noarch
BuildRoot:       %{_tmppath}/%{name}-buildroot
Requires:        locales-fr apache mod_php php-ini php-gd php-xml php-mysql
Requires:        MySQL-client MySQL
Prereq:		 MySQL MySQL-client

Source0:         http://www.ruedesecoles.com/EduPack/%name-%version.tar.bz2

%description
Assistance Scolaire Personnalisée (ASP) : Apache/PHP/MySql based
client/server application to help young students.

%prep

%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot/%_htmldir/
cp -r Html/* %buildroot/%_htmldir/

%pre
# if mysqld is not running, start it
echo "Check if mysqld is running"
if ! test -f /var/lib/mysql/mysql.sock
then /sbin/service mysql start
sleep 2
fi

%post
%_bindir/mysqladmin create Asp
%_bindir/mysql < %_htmldir/Asp/Data/Base/createApplis.sql
%_bindir/mysql < %_htmldir/Asp/Data/Base/createAppliA2s.sql
%_bindir/mysql < %_htmldir/Asp/Data/Base/createAppliAnn.sql
%_bindir/mysql < %_htmldir/Asp/Data/Base/createAppliUserAdm.sql
%_bindir/mysql < %_htmldir/Asp/Data/Base/createArthur.sql
%_bindir/mysql < %_htmldir/Asp/Data/Base/createMessages.sql
%_bindir/mysql < %_htmldir/Asp/Data/Base/createModules.sql
%_bindir/mysql < %_htmldir/Asp/Data/Base/createUsers.sql

%preun
# if mysqld is not running, start it
echo "Check if mysqld is running"
if ! test -f /var/lib/mysql/mysql.sock
then /sbin/service mysql start
sleep 2
fi

%postun
%_bindir/mysqladmin --force drop Asp

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%_htmldir/*

%changelog
* Sat Apr 17 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 1.0.2-1mdk
- fixed GetGrade() function

* Fri Apr 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-3mdk
- change script test

* Thu Apr 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-2mdk
- adjust pre and preun

* Mon Apr 05 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 1.0.1-1mdk
- new icons

* Fri Apr 02 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 1.0.0-1mdk
- for Edupack initial version
- lexicon correction
- new icons

* Fri Mar 19 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 0.1.2-1mdk
- no swf possibility

* Thu Mar 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- 0.1.1
- no more dicovoc database

* Sun Mar 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-2mdk
- requires MySQL-client, MySQL
- check if mysql is running

* Thu Mar 11 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 0.1.0-1mdk
- initial release
